#ifndef DocumentClassMenu_h
#define DocumentClassMenu_h

// $Id: DocumentClassMenu.h,v 1.3 2011/11/11 11:57:11 hpereira Exp $
/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
****************************************************************************/

/*!
\file DocumentClassMenu.h
\brief display available document classes
\author Hugo Pereira
\version $Revision: 1.3 $
\date $Date: 2011/11/11 11:57:11 $
*/

#include "Counter.h"

#include <QtGui/QMenu>
#include <QtGui/QAction>
#include <QtGui/QActionGroup>

#include <map>

//! display available document classes
class DocumentClassMenu: public QMenu, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    DocumentClassMenu( QWidget* );

    //! destructor
    virtual ~DocumentClassMenu( void )
    {}

    signals:

    //! emmited every time a document class is selected
    void documentClassSelected( QString );

    protected slots:

    //! update
    void _update( void );

    //! select document class from menu
    void _selectClassName( QAction* );

    private:

    //! actions
    QActionGroup* actionGroup_;

    //! map document class to macro names
    std::map< QAction*, QString > actions_;

};

#endif
